## debian-cd 3.1.23

=== Makefile ===
#!/usr/bin/make -f

# Main Makefile for debian-cd
#
# Copyright 1999 Raphaël Hertzog <hertzog@debian.org>
# See the README file for the license
#
# Significantly modified 2005-2006 Steve McIntyre <93sam@debian.org>
# for multi-arch and mixed bin/src discs
#
# The environment variables must have been set
# before. For this you can source the CONF.sh 
# file in your shell


## DEFAULT VALUES
ifndef VERBOSE_MAKE
Q=@
endif
ifndef TASK
TASK=Debian-generic
endif
ifndef MKISOFS
ifneq (,$(filter i386 amd64 arm64 hppa,$(ARCHES)))
export MKISOFS=xorriso
export MKISOFS_OPTS=-as mkisofs -r -checksum_algorithm_iso md5,sha1
else
export MKISOFS=$(shell which genisoimage mkisofs | head -1)
endif
endif
ifndef MKISOFS_OPTS
#For normal users
MKISOFS_OPTS=-r
#For symlink farmers
#MKISOFS_OPTS=-r -F .
endif
ifndef HOOK
HOOK=$(BASEDIR)/tools/$(CODENAME).hook
endif
ifndef ARCHIVE_KEYRING_PACKAGE
ARCHIVE_KEYRING_PACKAGE=debian-archive-keyring
endif
ifndef ARCHIVE_KEYRING_FILE
ARCHIVE_KEYRING_FILE=usr/share/keyrings/debian-archive-keyring.gpg
endif

export BUILD_DATE=$(shell date -u +%Y%m%d-%H:%M)
export ARCHES_NOSRC=$(shell echo $(ARCHES) | sed 's/source//')
ifeq ($(ARCHES),source)
	export SOURCEONLY=yes
endif
ifeq ($(shell echo $(ARCHES) | sed 's/.*source.*/1/'),1)
	export INC_SOURCE=yes
endif

UNDER_ARCHES=$(shell echo $(ARCHES) | sed 's/\ /_/g')
ARCH_MKISOFS = ${${UNDER_ARCHES}_MKISOFS}
ARCH_MKISOFS_OPTS = ${${UNDER_ARCHES}_MKISOFS_OPTS}
ifneq (${ARCH_MKISOFS},)
    MKISOFS = ${ARCH_MKISOFS}
endif
ifneq (${ARCH_MKISOFS_OPTS},)
    MKISOFS_OPTS = ${ARCH_MKISOFS_OPTS}
endif
ifndef DEBOOTSTRAP_OPTS
DEBOOTSTRAP_OPTS=--no-check-gpg
endif

## Additional packages required for Debian Ports
DEBIAN_PORTS_ARCHES=alpha hppa ia64 hurd-i386 m68k powerpc powerpcspe ppc64 riscv64 sh4 sparc sparc64 x32
ifneq (,$(filter $(DEBIAN_PORTS_ARCHES),$(ARCHES)))
export BASE_INCLUDE := $(BASEDIR)/data/debian_ports $(BASE_INCLUDE)
endif

## Internal variables  
apt=$(BASEDIR)/tools/apt-selection
check_backports_packages=$(BASEDIR)/tools/check_backports_packages
sort_deps=$(BASEDIR)/tools/sort_deps
md5sum=md5sum
jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
grab_md5=$(BASEDIR)/tools/grab_md5
make_image=$(BASEDIR)/tools/make_image
merge_package_lists=$(BASEDIR)/tools/merge_package_lists
update_popcon=$(BASEDIR)/tools/update_popcon
grab_source_list=$(BASEDIR)/tools/grab_source_list
which_deb=$(BASEDIR)/tools/which_deb
catz=$(BASEDIR)/tools/catz

BDIR=$(TDIR)/$(CODENAME)
TASKDIR=$(BDIR)/tasks
ADIR=$(APTTMP)
DB_DIR=$(BDIR)/debootstrap

export DEBOOTSTRAP_DIR := $(DB_DIR)/usr/share/debootstrap
export PATH := $(DB_DIR)/usr/sbin:$(PATH)
export BDIR
export TASKDIR

## DEBUG STUFF ##

default:
	@echo "Please refer to the README file for more information"
	@echo "about the different targets available."

## CHECKS ##

# Basic checks in order to avoid problems
ok:
ifdef FORCE_FAIL
	@echo Debug variable FORCE_FAIL defined -- abort now; false
endif
ifndef TDIR
	@echo TDIR undefined -- set up CONF.sh; false
endif
ifndef BASEDIR
	@echo BASEDIR undefined -- set up CONF.sh; false
endif
ifndef MIRROR
	@echo MIRROR undefined -- set up CONF.sh; false
endif
ifndef ARCHES
	@echo ARCHES undefined -- set up CONF.sh; false
endif
ifndef CODENAME
	@echo CODENAME undefined -- set up CONF.sh; false
endif
ifndef DISKTYPE
	@echo DISKTYPE undefined -- set up CONF.sh; false
endif
ifndef OUT
	@echo OUT undefined -- set up CONF.sh; false
endif
ifdef NONFREE
ifdef EXTRANONFREE
	@echo Never use NONFREE and EXTRANONFREE at the same time; false
endif
endif
	@if [ $(DISKTYPE) = "NETINST" -o $(DISKTYPE) = "BC" ] ; then \
		if [ "$(INC_SOURCE)"x = "yes"x ] ; then \
			echo "Including source is not supported on a netinst/bc CD"; \
			false; \
		fi; \
	fi

## INITIALIZATION ##

# Creation of the directories needed
init: ok $(OUT) $(TDIR) $(BDIR) $(ADIR) $(TASKDIR) $(BDIR)/DATE $(DB_DIR) unstable-map
$(OUT):
	$(Q)mkdir -p $(OUT)
$(TDIR):
	$(Q)mkdir -p $(TDIR)
$(BDIR):
	$(Q)mkdir -p $(BDIR)
$(ADIR):
	$(Q)mkdir -p $(ADIR)
$(TASKDIR):
ifneq ($(ARCHES),source)
	$(Q)echo "Updating task files..."
	$(Q)mkdir -p $(TASKDIR)
	$(Q)echo "- copying task files from 'tasks/$(DI_CODENAME)/'"
	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
	$(Q)echo "- generating dynamic task files"
	$(Q)set -e; cd $(TASKDIR); \
		$(BASEDIR)/tools/update_tasks; \
		$(BASEDIR)/tools/generate_di_list; \
		$(BASEDIR)/tools/generate_di+k_list
ifeq ($(FORCE_FIRMWARE),1)
	# Generate firmware task file using the contents of the archive
	$(Q)$(BASEDIR)/tools/generate_firmware_task "$(ARCHES)" $(TASKDIR)/firmware
endif
ifeq ($(DEBIAN_EDU),1)
	# Generate Debian Edu task file containing (almost) all of Debian Edu's packages
	$(Q)$(BASEDIR)/tools/generate_debian-edu_task "$(ARCHES)" $(TASKDIR)/debian-edu-full
endif
endif
$(BDIR)/DATE:
	$(Q)date -u '+%Y%m%d' > $(BDIR)/DATE
	$(Q)date -u '+%Y%m%dT%H%M%SZ' --date tomorrow > $(BDIR)/DATE-zulu

ifdef MIRROR
LATEST_DB := $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) debootstrap)
$(DB_DIR): $(LATEST_DB)
	@rm -rf $(DB_DIR)
	$(Q)dpkg -x $(LATEST_DB) $(DB_DIR)
	$(Q)if [ ! -e $(DEBOOTSTRAP_DIR)/scripts/$(CODENAME) ] ; then \
		ln -sf sid $(DEBOOTSTRAP_DIR)/scripts/$(CODENAME) ; \
	fi
endif

# Make sure unstable/sid points to testing/buster, as there is no build
# rule for unstable/sid.
unstable-map:
	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
		ln -s buster $(BASEDIR)/data/sid ; \
	fi
	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
		ln -s buster $(BASEDIR)/tools/boot/sid ; \
	fi

#################
## CLEAN RULES ##
#################

# Cleans the current arch tree (but not packages selection info)
clean: ok dir-clean
dir-clean:
	$(Q)rm -rf $(BDIR)/CD[1234567890]*
	$(Q)rm -rf $(TASKDIR)
	$(Q)rm -f $(BDIR)/*.filelist*
	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/md5-check

# Completely cleans the current arch tree
realclean: distclean
distclean: ok clean
	$(Q)echo "Cleaning the build directory"
	$(Q)rm -rf $(ADIR)
	$(Q)rm -rf $(TDIR)

####################
## STATUS and APT ##
####################

$(CODENAME)_status: ok init
	$(Q)for ARCH in $(ARCHES_NOSRC); do \
		echo "Using the provided status file for $(CODENAME)-$$ARCH ..."; \
		cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			echo "Using the provided status file for $(CODENAME)-backports-$$ARCH ..."; \
			cp $(BASEDIR)/data/$(CODENAME)/status.$$ARCH $(ADIR)/$(CODENAME)-backports-$$ARCH/status 2>/dev/null || $(MAKE) status || $(MAKE) correctstatus ; \
		fi; \
	done

# Regenerate the status file with only packages that
# are of priority standard or higher
status: init $(ADIR)/status
$(ADIR)/status:
	@echo "Generating a fake status file for apt-get and apt-cache..."
	$(Q)for ARCH in $(ARCHES); do \
		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/preferences.d; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/preferences.d; \
		fi; \
		if [ $$ARCH = "source" -o "$(INSTALLER_CD)" = "1" -o "$(INSTALLER_CD)" = "2" -o "$(INSTALLER_CD)" = "C" -o "$(INSTALLER_CD)" = "F" ];then \
			:> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				:> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
			fi; \
		else \
			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
				perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
				>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status ; \
			fi; \
		fi; \
	done;
	:> $(ADIR)/status

	# Set up keyring so apt doesn't complain
	@echo "Setting up archive-keyring"
	$(Q)mkdir -p $(TDIR)/archive-keyring
	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
	$(Q)for ARCH in $(ARCHES); do \
		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
		fi; \
	done

	# Updating the apt database
	$(Q)for ARCH in $(ARCHES); do \
		export ARCH=$$ARCH; \
		$(apt) update; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 $(apt) update; \
		fi; \
	done

	# If we're doing a build using d-i from sid, we'll need sid sources too
	if [ "$(INC_SOURCE)"x = "yes"x ] && \
		[ "$(DI_CODENAME)"x != ""x ] && \
		[ "$(DI_CODENAME)"x != "$(CODENAME)"x ] ; then \
		mkdir -p $(ADIR)/$(DI_CODENAME)-source/apt/preferences.d ; \
		:> $(ADIR)/$(DI_CODENAME)-source/status ; \
		export CODENAME=$(DI_CODENAME); \
		export ARCH=source; \
		$(apt) update; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 $(apt) update; \
		fi; \
	fi
    #
    # Checking the consistency of the standard system
    # If this does fail, then launch make correctstatus
    #
	$(Q)for ARCH in $(ARCHES); do \
		export ARCH=$$ARCH; \
		$(apt) check || $(MAKE) correctstatus; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 $(apt) check || $(MAKE) correctstatus; \
		fi; \
	done

# Only useful if the standard system is broken
# It tries to build a better status file with apt-get -f install
correctstatus: status apt-update
    # You may need to launch correctstatus more than one time
    # in order to correct all dependencies
    #
    # Removing packages from the system :
	$(Q)set -e; \
	if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES_NOSRC); do \
			export ARCH=$$ARCH; \
			for i in `$(apt) deselected -f install`; do \
				echo $$ARCH:$$i; \
				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
				$(ADIR)/$(CODENAME)-$$ARCH/status; \
			done; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				for i in `USE_BP=1 $(apt) deselected -f install`; do \
					echo $$ARCH:$$i; \
					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
				done; \
			fi; \
		done; \
    fi
    #
    # Adding packages to the system :
	$(Q)set -e; \
	if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES_NOSRC); do \
			export ARCH=$$ARCH; \
			for i in `$(apt) selected -f install`; do \
				echo $$ARCH:$$i; \
				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
			done; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				for i in `USE_BP=1 $(apt) selected -f install`; do \
					echo $$ARCH:$$i; \
					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
				done; \
			fi; \
		done; \
    fi
    #
    # Showing the output of apt-get check :
	$(Q)for ARCH in $(ARCHES_NOSRC); do \
		ARCH=$$ARCH $(apt) check; \
		if [ "$$BACKPORTS"x != ""x ] ; then \
			USE_BP=1 ARCH=$$ARCH $(apt) check; \
		fi; \
	done

apt-update: status
	$(Q)if [ "$(ARCHES)" != "source" ] ; then \
		for ARCH in $(ARCHES); do \
			echo "Apt-get is updating its files ..."; \
			ARCH=$$ARCH $(apt) update; \
			if [ "$$BACKPORTS"x != ""x ] ; then \
				USE_BP=1 ARCH=$$ARCH $(apt) update; \
			fi; \
		done; \
    fi

## GENERATING LISTS ##

# Deleting the list only
deletelist: ok
	$(Q)-rm $(BDIR)/rawlist
	$(Q)-rm $(BDIR)/list

packagelists: ok apt-update genlist

# Build the raw list (cpp output) with doubles and spaces
$(BDIR)/rawlist:
