=== debian/changelog ===
debian-cd (3.1.23) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tools/start_new_disc: set adjusted cd_type for incomplete BD image for
    offline usable Edu BDs. Closes: #769589
  * contrib/HEADER.html.in: add paragraphs describing the Debian Edu netinst
    images for amd64 and i386.

  [ Steve McIntyre ]
  * Add grub-efi packages to armhf media.

  [ Samuel Thibault ]
  * Support dark theme boot entries.

  [ Holger Levsen ]
  * data/buster: update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.10.5-1.
  * contrib: updated from setup.git/buster/.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Feb 2019 19:08:26 +0100
