## debian-cd 3.1.25

=== debian/changelog ===
debian-cd (3.1.25) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix for stupid bug in 3.1.24 - rebuild without my locally-hacked
    CONF.sh in the package build. :-(

 -- Steve McIntyre <93sam@debian.org>  Wed, 26 Jun 2019 18:26:02 +0100

debian-cd (3.1.24) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * tasks/buster/Debian-edu-full: Force missing packages onto the Edu BD.
    (This is a workaround for the effects of #601203)

  [ Holger Levsen ]
  * contrib/cronjob.weekly: drop -usb from CDNAME for Debian Edu BD images, as
    "usb" is both wrong as well as redundant as 'BD' is also part of the
    generated filenames.

  [ John Paul Adrian Glaubitz ]
  * Add grub-efi{,{-ia64,{-bin}}} to tools/generate_di+k_list on ia64
  * Remove elilo from tools/generate_di+k_list on {i386,ia64}
  * Switch bootloader from elilo to grub-efi-ia64 on ia64
  * Switch bootloader from yaboot to grub-ieee1275 on powerpc
  * Switch bootloader from yaboot to grub-ieee1275 on ppc64
  * Switch bootloader from silo to grub-ieee1275 on sparc
  * Switch bootloader from silo to grub-ieee1275 on sparc64

  [ Steve McIntyre ]
  * Tweak ordering of snapshot URLs - put snapshot.d.o last in the list in
    jigdo files, to reduce load on the service.
  * Don't include -686-pae udebs on media - we may not have a kernel
    to use with them anyway
  * Add support for USB sticks any integer multiple of 1GB in size.
  * Copy in the updated buster cronjobs to match current state.

 -- Steve McIntyre <93sam@debian.org>  Sat, 22 Jun 2019 18:19:21 +0100
