=== debian/control ===
Source: debian-cd
Section: admin
Priority: optional
Maintainer: Debian CD Group <debian-cd@lists.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>,
 Santiago Garcia Mantinan <manty@debian.org>,
 Steve McIntyre <93sam@debian.org>,
 Holger Levsen <holger@debian.org>
Build-Depends: debhelper-compat (= 11)
Build-Depends-Indep: tofrodos
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
Vcs-Browser: https://salsa.debian.org/images-team/debian-cd

Package: debian-cd
Architecture: all
Depends: ${misc:Depends}, curl, perl, dpkg-dev, cpp, libdigest-md5-perl, libdigest-sha-perl, tofrodos, apt, make, xorriso | genisoimage, lynx, grep-dctrl, bc, libcompress-zlib-perl, bzip2, libdpkg-perl, wget
Recommends: hfsutils, netpbm, isolinux, syslinux-common, syslinux-utils, mtools, dosfstools
Description: Tools for building (Official) Debian CD set
 Debian-cd is the official tool for building Debian CD set since the potato
 release. It was formerly called YACS (for Yet Another CD Script).
 .
 Its goal is to facilitate the creation of customized Debian CD sets.
