## debian-cd 3.1.25A~5.0.0.202103261654

=== Makefile ===
--- 
+++ 
@@ -162,7 +162,6 @@
 	$(Q)cp -r $(BASEDIR)/tasks/$(CODENAME)/* $(TASKDIR)
 	$(Q)echo "- generating dynamic task files"
 	$(Q)set -e; cd $(TASKDIR); \
-		$(BASEDIR)/tools/update_tasks; \
 		$(BASEDIR)/tools/generate_di_list; \
 		$(BASEDIR)/tools/generate_di+k_list
 ifeq ($(FORCE_FIRMWARE),1)
@@ -248,7 +247,7 @@
 			fi; \
 		else \
 			$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
-			perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; print if (/^Priority: (required|important|standard)/m or /^Section: base/m);' \
+			perl -000 -ne 's/^(Package: (\S+))$$/$$1\nStatus: install ok installed/m; print if (not $$seen{$$2}++ and (/^Priority: (required|important|standard)/m or /^Section: base/m));' \
 			>> $(ADIR)/$(CODENAME)-$$ARCH/status ; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				$(catz) $(MIRROR)/dists/$(CODENAME)/main/binary-$$ARCH/Packages.*z* | \
@@ -265,7 +264,7 @@
 	$(Q)dpkg -x $(MIRROR)/$(shell $(which_deb) $(MIRROR) $(CODENAME) $(ARCHIVE_KEYRING_PACKAGE)) $(TDIR)/archive-keyring
 	$(Q)for ARCH in $(ARCHES); do \
 		mkdir -p $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
-		ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
+		ln -sf $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-$$ARCH/apt/trusted.gpg.d; \
 		if [ "$$BACKPORTS"x != ""x ] ; then \
 			mkdir -p $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
 			ln -s $(TDIR)/archive-keyring/$(ARCHIVE_KEYRING_FILE) $(ADIR)/$(CODENAME)-backports-$$ARCH/apt/trusted.gpg.d; \
@@ -319,13 +318,13 @@
 			export ARCH=$$ARCH; \
 			for i in `$(apt) deselected -f install`; do \
 				echo $$ARCH:$$i; \
-				perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+				perl -i -000 -ne "print unless /^Package: \Q$$i\E\$$/m" \
 				$(ADIR)/$(CODENAME)-$$ARCH/status; \
 			done; \
 			if [ "$$BACKPORTS"x != ""x ] ; then \
 				for i in `USE_BP=1 $(apt) deselected -f install`; do \
 					echo $$ARCH:$$i; \
-					perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
+					perl -i -000 -ne "print unless /^Package: \Q$$i\E$$/m" \
 					$(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
 				done; \
 			fi; \
@@ -337,19 +336,15 @@
 	if [ "$(ARCHES)" != "source" ] ; then \
 		for ARCH in $(ARCHES_NOSRC); do \
 			export ARCH=$$ARCH; \
-			for i in `$(apt) selected -f install`; do \
-				echo $$ARCH:$$i; \
-				$(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
-				"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+			$(apt) selected -f install | \
+			xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
+			perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
 				>> $(ADIR)/$(CODENAME)-$$ARCH/status; \
-			done; \
-			if [ "$$BACKPORTS"x != ""x ] ; then \
-				for i in `USE_BP=1 $(apt) selected -f install`; do \
-					echo $$ARCH:$$i; \
-					USE_BP=1 $(apt) cache --no-all-versions show "$$i" | perl -000 -npe \
-					"s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m;" \
+			if [ "$$BACKPORTS"x != ""x ] ; then \
+				USE_BP=1 $(apt) selected -f install | \
+				USE_BP=1 xargs --no-run-if-empty $(apt) cache --no-all-versions show "$$i" | \
+				perl -000 -npe "s/^(Package: \S+)\$$/\$$1\nStatus: install ok installed/m;" \
 					>> $(ADIR)/$(CODENAME)-backports-$$ARCH/status; \
-				done; \
 			fi; \
 		done; \
     fi
