=== debian/changelog ===
debian-cd (3.1.25A~5.0.0.202103261654) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    0001-Bug-35918-added-debug-output
    0003-Replace-previous-sym-links
    0004-Use-only-first-package-candidate
    0005-Anchor-package-name-regular-expression
    0006-Invoke-apt-cache-only-once
    0007-Bug-38913-Drop-other-kernel-modules
    0008-Bug-37008-DVD-Fix-relative-paths
    0009-Bug-37008-DVD-Use-copy-as-fallback-for-hard-linking
    0010-Bug-37164-DVD-Disable-Debian-task-rebuilding
    0011-Bug-36268-DVD-Remove-Debian-specific-documentation
    0012-Bug-45868-DVD-Fix-MD5-Ss-um-parsing
    0013-Bug-45868-DVD-hard-code-component-main

 -- Univention builddaemon <buildd@univention.de>  Fri, 26 Mar 2021 16:54:57 +0100
