=== debian/changelog ===
debian-cd (3.1.26) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start bullseye development, copy the buster dirs to bullseye as a
    start.
  * Stop producing MD5SUMS and SHA1SUMS files by default.
  * Add shim-signed and grub-efi-arm64-signed to the arm64 package
    list.
  * Change a load of http URLs to use https instead.

  [ Holger Levsen ]
  * d/control:
    - bump standards version to 4.4.0, no changes needed.
    - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Sat, 10 Aug 2019 11:50:47 +0200
