## debian-cd 3.1.28

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,9 @@
 ifndef ARCHIVE_KEYRING_FILE
 ARCHIVE_KEYRING_FILE=usr/share/keyrings/debian-archive-keyring.gpg
 endif
+ifndef JIGDO_CHECKSUM
+JIGDO_CHECKSUM=md5
+endif
 
 export BUILD_DATE=$(shell date -u +%Y%m%d-%H:%M)
 export ARCHES_NOSRC=$(shell echo $(ARCHES) | sed 's/source//')
@@ -78,7 +81,7 @@
 sort_deps=$(BASEDIR)/tools/sort_deps
 md5sum=md5sum
 jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
-grab_md5=$(BASEDIR)/tools/grab_md5
+grab_checksums=$(BASEDIR)/tools/grab_checksums
 make_image=$(BASEDIR)/tools/make_image
 merge_package_lists=$(BASEDIR)/tools/merge_package_lists
 update_popcon=$(BASEDIR)/tools/update_popcon
@@ -208,7 +211,7 @@
 	$(Q)rm -rf $(BDIR)/CD[1234567890]*
 	$(Q)rm -rf $(TASKDIR)
 	$(Q)rm -f $(BDIR)/*.filelist*
-	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/md5-check
+	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/upgrade-stamp $(BDIR)/checksum-check
 
 # Completely cleans the current arch tree
 realclean: distclean
@@ -382,5 +385,3 @@
 
 packagelists: ok apt-update genlist
 
-# Build the raw list (cpp output) with doubles and spaces
-$(BDIR)/rawlist:
