=== debian/changelog ===
debian-cd (3.1.28) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add a "with firmware" text to the DISKINFO string when appropriate
    Closes: #944207

  * Major changes to jigdo support - add support for the new
    sha256-based v2 format so we can think about phasing out
    dependencies on md5. Will still build using md5 stuff for
    compatibility for now - we need a new xorriso release (1.5.3?) to
    hit the archive and (more importantly!) users to get current jigdo
    clients too before we can switch. Closes: #949965

  [ Samuel Thibault ]
  * Drop support for xorriso versions before 1.2.2
  * Add hurd-i386 EFI support.

  [ John Paul Adrian Glaubitz ]
  * Add missing export keyword for ARCHIVE_KEYRING_FILE and
    ARCHIVE_KEYRING_PACKAGE variables in CONF.sh.

  [ Raphaël Hertzog ]
  * Fix a quoting bug that leads to failure in start_new_disc
    when CODENAME is kali-last-snapshot.
  * Add symlinks for kali-last-snapshot in data/, tasks/ and tools/boot/.
  * Add a default value to JIGDO_CHECKSUM.

 -- Steve McIntyre <93sam@debian.org>  Tue, 28 Jan 2020 12:53:41 +0000

debian-cd (3.1.27) unstable; urgency=medium

  [ Samuel Thibault ]
  * Keep grub resolution in EFI boot, to avoid tiny fonts (closes: #935546).

  [ Steve McIntyre ]
  * Update arch lists in build_all.sh, remove arches not in bullseye
  * Update ordering of checksumming in imagesums

  [ Holger Levsen ]
  * contrib: Updated from setup.git/bullseye/.
  * d/control: Bump standards version to 4.4.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Oct 2019 18:06:41 +0200
