=== debian/changelog ===
debian-cd (3.1.29) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Fix tools/sort_deps to not accept udeb as solutions to dependencies of
    regular deb (and vice-versa).

  [ Steve McIntyre ]
  * Add easier support for extra archive signing keys - list
    fingerprints in ARCHIVE_EXTRA_KEYS.
  * Exclude lilo-installer (and elilo-installer) for all arches, not
    just amd64. This was an oversight before.
  * Enable graphical installer for arm64 too, now that d-i builds
    should include it too.

  [ John Paul Adrian Glaubitz ]
  * Remove leftover yaboot directory for buster and bullseye.

  [ Wolfgang Schweer ]
  * Adjust Debian Edu list of packages:
    - tasks/bullseye/Debian-edu-full: updated after major setup rework.
    - tools/generate_debian-edu_task: no longer exclude Cinnamon desktop
      environment.

  [ Holger Levsen ]
  * Bump standards version to 4.5.0, no changes needed.
  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Tue, 26 May 2020 16:10:35 +0200
