=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Santiago Garcia Mantinan <manty@debian.org>,
  Steve McIntyre <93sam@debian.org>,
  Holger Levsen <holger@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: tofrodos
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/images-team/debian-cd.git
 Vcs-Browser: https://salsa.debian.org/images-team/debian-cd
