## debian-cd 3.1.31

=== debian/changelog ===
debian-cd (3.1.31) unstable; urgency=medium

  [ Steve McIntyre ]
  * tools/generate_di_list: Only include kernel udebs for the highest
    ABI we know about. Don't waste space on new installation media
    with older udebs from the archive.

  [ Holger Levsen ]
  * lintian-overrides:
    - add overrides for package-contains-documentation-outside-usr-share-doc
      for usr/share/debian-cd/(contrib|data|tasks).
    - drop unused missing-depends-on-sensible-utils.

 -- Holger Levsen <holger@debian.org>  Wed, 14 Oct 2020 16:34:41 +0200

debian-cd (3.1.30) unstable; urgency=medium

  [ Steve McIntyre ]
  * tools/update_popcon: cope with lower-case HTTP headers too; recently
    Debian enabled http2 so this broke.

  [ Holger Levsen ]
  * Convert README to UTF-8.

 -- Holger Levsen <holger@debian.org>  Wed, 23 Sep 2020 17:18:38 +0200
