## debian-cd 3.1.32

=== debian/changelog ===
debian-cd (3.1.32) unstable; urgency=medium

  [ Steve McIntyre ]
  * Update default config - we're building for bullseye (11) now.
  * Add support for running the final make_image step in parallel to
    make best use of larger machines with SSD storage. Use
    PARALLEL_MAKE_IMAGE=<n> to specify how many to build in parallel.
  * Be more explicit if DISKTYPE is not specified, or unrecognised.
  * When compressing translations, remove the uncompressed version.

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu installer logo and syslinux splash image
    from src:debian-edu-artwork 2.11.2-1.
  * tasks/bullseye/Debian-edu-full: Add winbind, freeradius and freeradius-krb5
    packages.

  [ Steev Klimaszewski ]
  * Fix sed delimiters in various scripts.

  [ Samuel Thibault ]
  * Make tools/start_new_disc also cleanup SHA512 checksums.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 14:45:59 +0100
