## debian-cd 3.1.33

=== debian/changelog ===
debian-cd (3.1.33) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * data/bullseye: Update Debian Edu syslinux splash image from
    src:debian-edu-artwork 2.11.4-1.

  [ Holger Levsen ]
  * tools/which_deb: Apply patch by JH Chatenet to fix problems with local xz
    compressed Packages files. Closes: #968668
  * tools/start_new_disc: Apply patch by JH Chatenet to include local Release
    file for debian-installer. Closes: #968671
  * tools/make_disc_trees: Apply patch by Daniel Dickinson to create Packages
    files for local/debian-installer. Closes: #523017

 -- Holger Levsen <holger@debian.org>  Wed, 03 Feb 2021 19:45:22 +0100
