## debian-cd 3.1.35

=== debian/changelog ===
debian-cd (3.1.35) unstable; urgency=medium

  [ Steve McIntyre ]
  * Add brltty and espeakup to all images from netinst up, for blind
    users. Closes: #678065

  [ Cyril Brulebois ]
  * Add script to generate firmware metadata from appdata metadata,
    and use it when building a media tree. See: #989863

 -- Steve McIntyre <93sam@debian.org>  Mon, 26 Jul 2021 01:02:03 +0100
