## debian-cd 3.1.36

=== debian/changelog ===
debian-cd (3.1.36) unstable; urgency=medium

  [ Steve McIntyre ]
  * Start bookworm development, copy the bullseye dirs to bookworm as
    a start.
  * Use $CODENAME/updates for security pre-bullseye, or
    $CODENAME-security for bullseye onwards.
  * Tweak grub boot menu highlight graphics to work again - switch
    from greyscale to colour, as newer grub has removed greyscale PNG
    support. Closes: #1013079, #1013432.
  * Add non-free-firmware support
    + Add an extra config variable NONFREE_COMPONENTS to declare where
      to look for non-free packages.
  * Add a Contents-firmware file to help with looking up firmware
    packages in d-i.
  * Change how we find the installer when booting via grub-efi:
    instead of looking for the .disk/info file, use .disk/id/$UUID
    instead. Closes: #1024346, #1024720.
  * Add 32-bit EFI binaries to all amd64 images too, so we no longer
    need a multi-arch image for Bay Trail etc.
  * Stop adding win32-loader stuff, it's dead.

  [ Cyril Brulebois ]
  * generate_firmware_patterns: Drop support for the temporary --test
    option.

  [ Raphaël Hertzog ]
  * Add cryptsetup-initramfs to tools/generate_di+k_list as cryptsetup 2.4.0
    dropped the recommends on the package and it's needed by d-i.
  * Fix install_firmwares_initrd to not fail when the firmware is not found.
  * Implement recursive lookup of Recommends and Suggests in sort_deps.
    Closes: #601203
  * Remove tools/sort_deps_edu since its only purpose was to try to implement
    the above recursive lookup.
  * Remove dead code in sort_deps and improve generated log messages.

  [ Wolfgang Schweer ]
  * data/bookworm: Use Debian Edu 12 installer logo and syslinux splash image
    from src:debian-edu-artwork 2.12.0.1-1 (showing version number 12).
  * tasks/sid: Replace bullseye with bookworm.

  [ Daniel Lewart ]
  * Update default CODENAME to bookworm in various places.
    Closes: #994121

  [ Jonathan Hettwer ]
  * Avoid embedding timestamps into gzipped Packages and Translations files.
  * Pass --invariant and -i deb00001 to mkfs.msdos

  [ Samuel Thibault ]
  * On firmware images, include the sound firmwares in the espeakup-enabled
    initrd itself. Closes: #992699

  [ John Paul Adrian Glaubitz ]
  * Remove leftover files of silo bootloader on sparc.
  * Remove leftover files of silo bootloader on sparc64.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1, 2, 3.
  * Update standards version to 4.6.1, no changes needed.

  [ Holger Levsen ]
  * Update standards version to 4.6.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sun, 15 Jan 2023 13:11:24 +0100
